<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: include/gui/Scene.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li><li class="navelem"><a class="el" href="dir_48c1f94cd2ae07e13fa9a9f16a1d541c.html">gui</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">Scene.hpp</div></div>
</div><!--header-->
<div class="contents">
<a href="Scene_8hpp.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span> </div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="preprocessor">#include &quot;<a class="code" href="ToggleGroup_8hpp.html">ToggleGroup.hpp</a>&quot;</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="preprocessor">#pragma once</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span> </div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="preprocessor">#include &lt;SFML/Graphics/Drawable.hpp&gt;</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span> </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="preprocessor">#include &lt;<a class="code" href="Event_8hpp.html">core/Event.hpp</a>&gt;</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span> </div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="preprocessor">#include &lt;<a class="code" href="XMLDocument_8hpp.html">resources/XMLDocument.hpp</a>&gt;</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span> </div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="keyword">namespace </span><a class="code hl_namespace" href="namespacegg.html">gg</a></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>{</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span> </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="keyword">class </span>SceneNode;</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="keyword">class </span>Label;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span> </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="classgg_1_1Scene.html">   17</a></span><span class="keyword">class </span><a class="code hl_class" href="classgg_1_1Scene.html">Scene</a> : <span class="keyword">public</span> sf::Drawable, <span class="keyword">public</span> <a class="code hl_class" href="classgg_1_1IEventSubscriber.html">IEventSubscriber</a></div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>{</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>  <span class="keyword">public</span>:</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="classgg_1_1Scene.html#a505d136d0f9025a5f0da9d09230bcdae">   20</a></span>    <a class="code hl_function" href="classgg_1_1Scene.html#a505d136d0f9025a5f0da9d09230bcdae">Scene</a>(std::string , <a class="code hl_class" href="classgg_1_1XMLDocument.html">XMLDocument</a>);</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="classgg_1_1Scene.html#a0a9b6261ce9df8f1770d3c12d8b9f233">   21</a></span>    <a class="code hl_function" href="classgg_1_1Scene.html#a0a9b6261ce9df8f1770d3c12d8b9f233">~Scene</a>() <span class="keyword">override</span>;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span> </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>  <span class="keyword">private</span>:</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    <span class="keywordtype">void</span> AddNode(<span class="keyword">const</span> std::string &amp;, <a class="code hl_class" href="classgg_1_1SceneNode.html">SceneNode</a> *);</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    <span class="keywordtype">void</span> AddNodeDefaultName(<a class="code hl_class" href="classgg_1_1SceneNode.html">SceneNode</a> *);</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span> </div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>  <span class="keyword">public</span>:</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno"><a class="line" href="classgg_1_1Scene.html#a5b86f08f78943b33a2ec7b62810e697c">   28</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Scene.html#a5b86f08f78943b33a2ec7b62810e697c">AddRootNode</a>(<span class="keyword">const</span> std::string &amp;, <a class="code hl_class" href="classgg_1_1SceneNode.html">SceneNode</a> *);</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno"><a class="line" href="classgg_1_1Scene.html#a06d47727c4f086472155032d13dd5163">   29</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Scene.html#a06d47727c4f086472155032d13dd5163">AddRootNodeDefaultName</a>(<a class="code hl_class" href="classgg_1_1SceneNode.html">SceneNode</a> *);</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="classgg_1_1Scene.html#a4ef7462ab36f0d4aaaaf9f2733acd372">   30</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Scene.html#a4ef7462ab36f0d4aaaaf9f2733acd372">AddToggleButtonToToggleGroup</a>(<span class="keyword">const</span> std::string &amp;, <a class="code hl_class" href="classgg_1_1ToggleButton.html">ToggleButton</a> *);</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span> </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno"><a class="line" href="classgg_1_1Scene.html#a93356886f16efe8a190583faf9555ebd">   32</a></span>    <span class="keyword">auto</span> <a class="code hl_function" href="classgg_1_1Scene.html#a93356886f16efe8a190583faf9555ebd">GetNode</a>(<span class="keyword">const</span> std::string &amp;) -&gt; <a class="code hl_class" href="classgg_1_1SceneNode.html">SceneNode</a> *;</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno"><a class="line" href="classgg_1_1Scene.html#a395bd2fe23c27973ca6d62126ebe30c2">   33</a></span>    [[nodiscard]] <span class="keyword">auto</span> <a class="code hl_function" href="classgg_1_1Scene.html#a395bd2fe23c27973ca6d62126ebe30c2">GetNode</a>(<span class="keyword">const</span> std::string &amp;) <span class="keyword">const</span> -&gt; <span class="keyword">const</span> <a class="code hl_class" href="classgg_1_1SceneNode.html">SceneNode</a> *;</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno"><a class="line" href="classgg_1_1Scene.html#a5850e4544304e6faea1677e418d3e7bc">   34</a></span>    <span class="keyword">auto</span> <a class="code hl_function" href="classgg_1_1Scene.html#a5850e4544304e6faea1677e418d3e7bc">GetToggleGroup</a>(<span class="keyword">const</span> std::string &amp;) -&gt; <a class="code hl_class" href="classgg_1_1ToggleGroup.html">ToggleGroup</a> *;</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno"><a class="line" href="classgg_1_1Scene.html#ae3f0b3f0334943918ac284e1971c86c9">   35</a></span>    [[nodiscard]] <span class="keyword">auto</span> <a class="code hl_function" href="classgg_1_1Scene.html#ae3f0b3f0334943918ac284e1971c86c9">GetToggleGroup</a>(<span class="keyword">const</span> std::string &amp;) <span class="keyword">const</span> -&gt; <span class="keyword">const</span> <a class="code hl_class" href="classgg_1_1ToggleGroup.html">ToggleGroup</a> *;</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span> </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno"><a class="line" href="classgg_1_1Scene.html#aa4ba65551db00899127ceb25037b9ec0">   37</a></span>    <span class="keyword">auto</span> <a class="code hl_function" href="classgg_1_1Scene.html#aa4ba65551db00899127ceb25037b9ec0">GetLabelByID</a>(<span class="keyword">const</span> std::string &amp;) -&gt; <a class="code hl_class" href="classgg_1_1Label.html">Label</a> *;</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="classgg_1_1Scene.html#a8ad6f3a9bb7a46b029471f8842225fc8">   38</a></span>    <span class="keyword">auto</span> <a class="code hl_function" href="classgg_1_1Scene.html#a8ad6f3a9bb7a46b029471f8842225fc8">GetLabelByID</a>(<a class="code hl_class" href="classgg_1_1SceneNode.html">SceneNode</a> *, <span class="keyword">const</span> std::string &amp;) -&gt; <a class="code hl_class" href="classgg_1_1Label.html">Label</a> *;</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span> </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno"><a class="line" href="classgg_1_1Scene.html#a09f1cc87ba6bc11a8b6beb5aeacf896b">   40</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Scene.html#a09f1cc87ba6bc11a8b6beb5aeacf896b">RemoveNode</a>(<span class="keyword">const</span> std::string &amp;);</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno"><a class="line" href="classgg_1_1Scene.html#a74f31565ab5a7597433b2870b10cabd4">   41</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Scene.html#a74f31565ab5a7597433b2870b10cabd4">RemoveNode</a>(<a class="code hl_class" href="classgg_1_1SceneNode.html">SceneNode</a> *);</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno"><a class="line" href="classgg_1_1Scene.html#a3722157abecbbebfb3f299735c7416cb">   42</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Scene.html#a3722157abecbbebfb3f299735c7416cb">RemoveToggleGroup</a>(<span class="keyword">const</span> std::string &amp;);</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span> </div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno"><a class="line" href="classgg_1_1Scene.html#a44f4252d969c5cc52edb5cacf0faa71a">   44</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Scene.html#a44f4252d969c5cc52edb5cacf0faa71a">SetActive</a>(<span class="keywordtype">bool</span>);</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno"><a class="line" href="classgg_1_1Scene.html#abcb1e788363581e54b580b9a5a9b28e1">   45</a></span>    <span class="keyword">auto</span> <a class="code hl_function" href="classgg_1_1Scene.html#abcb1e788363581e54b580b9a5a9b28e1">IsActive</a>() -&gt; bool;</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span> </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno"><a class="line" href="classgg_1_1Scene.html#a66b2770a4d2f38cba1fca7df7d1e06dc">   47</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Scene.html#a66b2770a4d2f38cba1fca7df7d1e06dc">Update</a>();</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span> </div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno"><a class="line" href="classgg_1_1Scene.html#a9361fe7d1ace461d528c2ce224b74668">   49</a></span>    [[nodiscard]] <span class="keyword">auto</span> <a class="code hl_function" href="classgg_1_1Scene.html#a9361fe7d1ace461d528c2ce224b74668">GetName</a>() const -&gt; const <a class="code hl_namespace" href="namespacestd.html">std</a>::<span class="keywordtype">string</span> &amp;;</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno"><a class="line" href="classgg_1_1Scene.html#aeac07bf6e4c2f3daa87d8549f10c7c37">   50</a></span>    [[nodiscard]] auto <a class="code hl_function" href="classgg_1_1Scene.html#aeac07bf6e4c2f3daa87d8549f10c7c37">GetPosition</a>() const -&gt; const sf::Vector2f;</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno"><a class="line" href="classgg_1_1Scene.html#ab7a7ed13c125bed129417988730cdbfe">   51</a></span>    [[nodiscard]] auto <a class="code hl_function" href="classgg_1_1Scene.html#ab7a7ed13c125bed129417988730cdbfe">GetSize</a>() const -&gt; const sf::Vector2f;</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span> </div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>  public:</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno"><a class="line" href="classgg_1_1Scene.html#abc9bfaf0685c16aaa2a8cc4973ad61b4">   54</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Scene.html#abc9bfaf0685c16aaa2a8cc4973ad61b4">OnEvent</a>(<a class="code hl_class" href="classgg_1_1IEvent.html">IEvent</a> *e) override;</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span> </div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>  protected:</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    <span class="keywordtype">void</span></div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno"><a class="line" href="classgg_1_1Scene.html#a7435abe9524adbe082832bca365363a9">   58</a></span>    <a class="code hl_function" href="classgg_1_1Scene.html#a7435abe9524adbe082832bca365363a9">draw</a>(sf::RenderTarget &amp;target, sf::RenderStates states) const override;</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span> </div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>  private:</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>    auto LoadSceneNode(<a class="code hl_class" href="classgg_1_1XMLDocument.html">XMLDocument</a>) -&gt; <a class="code hl_class" href="classgg_1_1SceneNode.html">SceneNode</a> *;</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span> </div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    <span class="keywordtype">void</span> UpdateSize(<span class="keywordtype">unsigned</span>, <span class="keywordtype">unsigned</span>);</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    [[nodiscard]] auto GenerateName() const -&gt; <a class="code hl_namespace" href="namespacestd.html">std</a>::<span class="keywordtype">string</span>;</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span> </div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>  private:</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>    <a class="code hl_namespace" href="namespacestd.html">std</a>::<span class="keywordtype">string</span> mName;</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span> </div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>    sf::Vector2f mPosition;</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>    sf::Vector2f mSize;</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span> </div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>    <a class="code hl_namespace" href="namespacestd.html">std</a>::map&lt;<a class="code hl_namespace" href="namespacestd.html">std</a>::<span class="keywordtype">string</span>, <a class="code hl_class" href="classgg_1_1SceneNode.html">SceneNode</a> *&gt; mNodes;</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>    <a class="code hl_namespace" href="namespacestd.html">std</a>::vector&lt;<a class="code hl_class" href="classgg_1_1SceneNode.html">SceneNode</a> *&gt; mRootNodes;</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span> </div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>    <a class="code hl_namespace" href="namespacestd.html">std</a>::map&lt;<a class="code hl_namespace" href="namespacestd.html">std</a>::<span class="keywordtype">string</span>, <a class="code hl_class" href="classgg_1_1ToggleGroup.html">ToggleGroup</a> *&gt; mToggleGroups;</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span> </div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>    static <span class="keywordtype">int</span> mNodeID;</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span> </div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>    <span class="keywordtype">bool</span> mActive = false;</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>};</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span> </div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>}; <span class="comment">// namespace gg</span></div>
<div class="ttc" id="aEvent_8hpp_html"><div class="ttname"><a href="Event_8hpp.html">Event.hpp</a></div></div>
<div class="ttc" id="aToggleGroup_8hpp_html"><div class="ttname"><a href="ToggleGroup_8hpp.html">ToggleGroup.hpp</a></div></div>
<div class="ttc" id="aXMLDocument_8hpp_html"><div class="ttname"><a href="XMLDocument_8hpp.html">XMLDocument.hpp</a></div></div>
<div class="ttc" id="aclassgg_1_1IEventSubscriber_html"><div class="ttname"><a href="classgg_1_1IEventSubscriber.html">gg::IEventSubscriber</a></div><div class="ttdef"><b>Definition:</b> Event.hpp:59</div></div>
<div class="ttc" id="aclassgg_1_1IEvent_html"><div class="ttname"><a href="classgg_1_1IEvent.html">gg::IEvent</a></div><div class="ttdef"><b>Definition:</b> Event.hpp:41</div></div>
<div class="ttc" id="aclassgg_1_1Label_html"><div class="ttname"><a href="classgg_1_1Label.html">gg::Label</a></div><div class="ttdef"><b>Definition:</b> Label.hpp:10</div></div>
<div class="ttc" id="aclassgg_1_1SceneNode_html"><div class="ttname"><a href="classgg_1_1SceneNode.html">gg::SceneNode</a></div><div class="ttdef"><b>Definition:</b> SceneNode.hpp:18</div></div>
<div class="ttc" id="aclassgg_1_1Scene_html"><div class="ttname"><a href="classgg_1_1Scene.html">gg::Scene</a></div><div class="ttdef"><b>Definition:</b> Scene.hpp:18</div></div>
<div class="ttc" id="aclassgg_1_1Scene_html_a06d47727c4f086472155032d13dd5163"><div class="ttname"><a href="classgg_1_1Scene.html#a06d47727c4f086472155032d13dd5163">gg::Scene::AddRootNodeDefaultName</a></div><div class="ttdeci">void AddRootNodeDefaultName(SceneNode *)</div></div>
<div class="ttc" id="aclassgg_1_1Scene_html_a09f1cc87ba6bc11a8b6beb5aeacf896b"><div class="ttname"><a href="classgg_1_1Scene.html#a09f1cc87ba6bc11a8b6beb5aeacf896b">gg::Scene::RemoveNode</a></div><div class="ttdeci">void RemoveNode(const std::string &amp;)</div></div>
<div class="ttc" id="aclassgg_1_1Scene_html_a0a9b6261ce9df8f1770d3c12d8b9f233"><div class="ttname"><a href="classgg_1_1Scene.html#a0a9b6261ce9df8f1770d3c12d8b9f233">gg::Scene::~Scene</a></div><div class="ttdeci">~Scene() override</div></div>
<div class="ttc" id="aclassgg_1_1Scene_html_a3722157abecbbebfb3f299735c7416cb"><div class="ttname"><a href="classgg_1_1Scene.html#a3722157abecbbebfb3f299735c7416cb">gg::Scene::RemoveToggleGroup</a></div><div class="ttdeci">void RemoveToggleGroup(const std::string &amp;)</div></div>
<div class="ttc" id="aclassgg_1_1Scene_html_a395bd2fe23c27973ca6d62126ebe30c2"><div class="ttname"><a href="classgg_1_1Scene.html#a395bd2fe23c27973ca6d62126ebe30c2">gg::Scene::GetNode</a></div><div class="ttdeci">auto GetNode(const std::string &amp;) const -&gt; const SceneNode *</div></div>
<div class="ttc" id="aclassgg_1_1Scene_html_a44f4252d969c5cc52edb5cacf0faa71a"><div class="ttname"><a href="classgg_1_1Scene.html#a44f4252d969c5cc52edb5cacf0faa71a">gg::Scene::SetActive</a></div><div class="ttdeci">void SetActive(bool)</div></div>
<div class="ttc" id="aclassgg_1_1Scene_html_a4ef7462ab36f0d4aaaaf9f2733acd372"><div class="ttname"><a href="classgg_1_1Scene.html#a4ef7462ab36f0d4aaaaf9f2733acd372">gg::Scene::AddToggleButtonToToggleGroup</a></div><div class="ttdeci">void AddToggleButtonToToggleGroup(const std::string &amp;, ToggleButton *)</div></div>
<div class="ttc" id="aclassgg_1_1Scene_html_a505d136d0f9025a5f0da9d09230bcdae"><div class="ttname"><a href="classgg_1_1Scene.html#a505d136d0f9025a5f0da9d09230bcdae">gg::Scene::Scene</a></div><div class="ttdeci">Scene(std::string, XMLDocument)</div></div>
<div class="ttc" id="aclassgg_1_1Scene_html_a5850e4544304e6faea1677e418d3e7bc"><div class="ttname"><a href="classgg_1_1Scene.html#a5850e4544304e6faea1677e418d3e7bc">gg::Scene::GetToggleGroup</a></div><div class="ttdeci">auto GetToggleGroup(const std::string &amp;) -&gt; ToggleGroup *</div></div>
<div class="ttc" id="aclassgg_1_1Scene_html_a5b86f08f78943b33a2ec7b62810e697c"><div class="ttname"><a href="classgg_1_1Scene.html#a5b86f08f78943b33a2ec7b62810e697c">gg::Scene::AddRootNode</a></div><div class="ttdeci">void AddRootNode(const std::string &amp;, SceneNode *)</div></div>
<div class="ttc" id="aclassgg_1_1Scene_html_a66b2770a4d2f38cba1fca7df7d1e06dc"><div class="ttname"><a href="classgg_1_1Scene.html#a66b2770a4d2f38cba1fca7df7d1e06dc">gg::Scene::Update</a></div><div class="ttdeci">void Update()</div></div>
<div class="ttc" id="aclassgg_1_1Scene_html_a7435abe9524adbe082832bca365363a9"><div class="ttname"><a href="classgg_1_1Scene.html#a7435abe9524adbe082832bca365363a9">gg::Scene::draw</a></div><div class="ttdeci">void draw(sf::RenderTarget &amp;target, sf::RenderStates states) const override</div></div>
<div class="ttc" id="aclassgg_1_1Scene_html_a74f31565ab5a7597433b2870b10cabd4"><div class="ttname"><a href="classgg_1_1Scene.html#a74f31565ab5a7597433b2870b10cabd4">gg::Scene::RemoveNode</a></div><div class="ttdeci">void RemoveNode(SceneNode *)</div></div>
<div class="ttc" id="aclassgg_1_1Scene_html_a8ad6f3a9bb7a46b029471f8842225fc8"><div class="ttname"><a href="classgg_1_1Scene.html#a8ad6f3a9bb7a46b029471f8842225fc8">gg::Scene::GetLabelByID</a></div><div class="ttdeci">auto GetLabelByID(SceneNode *, const std::string &amp;) -&gt; Label *</div></div>
<div class="ttc" id="aclassgg_1_1Scene_html_a93356886f16efe8a190583faf9555ebd"><div class="ttname"><a href="classgg_1_1Scene.html#a93356886f16efe8a190583faf9555ebd">gg::Scene::GetNode</a></div><div class="ttdeci">auto GetNode(const std::string &amp;) -&gt; SceneNode *</div></div>
<div class="ttc" id="aclassgg_1_1Scene_html_a9361fe7d1ace461d528c2ce224b74668"><div class="ttname"><a href="classgg_1_1Scene.html#a9361fe7d1ace461d528c2ce224b74668">gg::Scene::GetName</a></div><div class="ttdeci">auto GetName() const -&gt; const std::string &amp;</div></div>
<div class="ttc" id="aclassgg_1_1Scene_html_aa4ba65551db00899127ceb25037b9ec0"><div class="ttname"><a href="classgg_1_1Scene.html#aa4ba65551db00899127ceb25037b9ec0">gg::Scene::GetLabelByID</a></div><div class="ttdeci">auto GetLabelByID(const std::string &amp;) -&gt; Label *</div></div>
<div class="ttc" id="aclassgg_1_1Scene_html_ab7a7ed13c125bed129417988730cdbfe"><div class="ttname"><a href="classgg_1_1Scene.html#ab7a7ed13c125bed129417988730cdbfe">gg::Scene::GetSize</a></div><div class="ttdeci">auto GetSize() const -&gt; const sf::Vector2f</div></div>
<div class="ttc" id="aclassgg_1_1Scene_html_abc9bfaf0685c16aaa2a8cc4973ad61b4"><div class="ttname"><a href="classgg_1_1Scene.html#abc9bfaf0685c16aaa2a8cc4973ad61b4">gg::Scene::OnEvent</a></div><div class="ttdeci">void OnEvent(IEvent *e) override</div></div>
<div class="ttc" id="aclassgg_1_1Scene_html_abcb1e788363581e54b580b9a5a9b28e1"><div class="ttname"><a href="classgg_1_1Scene.html#abcb1e788363581e54b580b9a5a9b28e1">gg::Scene::IsActive</a></div><div class="ttdeci">auto IsActive() -&gt; bool</div></div>
<div class="ttc" id="aclassgg_1_1Scene_html_ae3f0b3f0334943918ac284e1971c86c9"><div class="ttname"><a href="classgg_1_1Scene.html#ae3f0b3f0334943918ac284e1971c86c9">gg::Scene::GetToggleGroup</a></div><div class="ttdeci">auto GetToggleGroup(const std::string &amp;) const -&gt; const ToggleGroup *</div></div>
<div class="ttc" id="aclassgg_1_1Scene_html_aeac07bf6e4c2f3daa87d8549f10c7c37"><div class="ttname"><a href="classgg_1_1Scene.html#aeac07bf6e4c2f3daa87d8549f10c7c37">gg::Scene::GetPosition</a></div><div class="ttdeci">auto GetPosition() const -&gt; const sf::Vector2f</div></div>
<div class="ttc" id="aclassgg_1_1ToggleButton_html"><div class="ttname"><a href="classgg_1_1ToggleButton.html">gg::ToggleButton</a></div><div class="ttdef"><b>Definition:</b> ToggleButton.hpp:9</div></div>
<div class="ttc" id="aclassgg_1_1ToggleGroup_html"><div class="ttname"><a href="classgg_1_1ToggleGroup.html">gg::ToggleGroup</a></div><div class="ttdef"><b>Definition:</b> ToggleGroup.hpp:9</div></div>
<div class="ttc" id="aclassgg_1_1XMLDocument_html"><div class="ttname"><a href="classgg_1_1XMLDocument.html">gg::XMLDocument</a></div><div class="ttdef"><b>Definition:</b> XMLDocument.hpp:10</div></div>
<div class="ttc" id="anamespacegg_html"><div class="ttname"><a href="namespacegg.html">gg</a></div><div class="ttdef"><b>Definition:</b> Application.hpp:22</div></div>
<div class="ttc" id="anamespacestd_html"><div class="ttname"><a href="namespacestd.html">std</a></div><div class="ttdef"><b>Definition:</b> Event.hpp:84</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
